Name:           scummvm
Version:        1.9.0
Release:        %mkrel 1
Summary:        Interpreter for several adventure games
Summary(de):    Freie Umsetzung von LucasArts' S.C.U.M.M-Interpreter
Group:          Emulators
License:        GPLv2+
URL:            http://www.scummvm.org
Source0:        http://www.scummvm.org/downloads/%{name}/%{name}-%{version}.tar.xz
#######         Icons extracted from icons/scummvm.ico with the gimp
Source1:        scummvm-icons.tar.gz
Patch0:         scummvm-0.11.0-nostrip.patch
Patch1:         scummvm-0.9.1-no-execstack.patch
Patch2:         scummvm-0.11.1-lure-sound-bug-fixes.patch
Patch3:         scummvm-0.11.1-lure-volume-fixes.patch
Patch4:         scummvm-0.11.1-lure-sound-channel-alloc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  SDL-devel 
BuildRequires:	%{_lib}vorbis0-devel 
BuildRequires:  %{_lib}ogg-devel
BuildRequires:	%{_lib}flac8-devel 
BuildRequires:	zlib-devel
BuildRequires:  fluidsynth-devel 
BuildRequires:  nasm
BuildRequires:  freetype-devel
BuildRequires:	desktop-file-utils
Requires:       hicolor-icon-theme

%description
ScummVM is an implementation of the SCUMM (Script Creation Utility for
Maniac Mansion) engine used in various Lucas Arts games such as Monkey
Island and Day of the Tentacle. At this time ScummVM should be considered
ALPHA software, as it's still under heavy development. Be aware that while
many games will work with few major bugs, crashes can happen. Also note
that saved games can, and probably will, be incompatible between releases.

Also ScummVM is capable of playing several non-SCUMM games.

#german
%description -l de
ScummVM ist eine »virtuelle Maschine« für diverse klassische 
grafische »Ziel-und-Klick«-Abenteuerspiele. 
Das Programm ist ausgelegt zum Starten von Adventure Softs 
»Simon the Sorcerer« 1 und 2, Revolutions »Beneath a Steel Sky« 
sowie Spielen, die auf LucasArts' S.C.U.M.M (Script Creation 
Utility for Maniac Mansion) basieren. 
S.C.U.M.M wird für viele Spiele verwendet, unter anderem für 
»Monkey Island«, »Day of the Tentacle«, »Sam and Max« und weitere. 
Auf <http://www.scummvm.org/compatibility_stable.php> werden alle 
unterstützten Spiele aufgelistet.

Die Daten von zwei mit ScummVM kompatiblen Spielen werden bei 
Debian mitgeliefert. Dies sind:
  
  * Beneath a Steel Sky (Paketname: beneath-a-steel-sky)
  * Flight of the Amazon Queen (Paketname: flight-of-the-amazon-queen).

Um die ScummVM tatsächlich zu verwenden, müssen Sie eines dieser Pakete 
installieren, oder sich die proprietären Spieledaten für ein anderes 
unterstütztes Spiel anderswo beschaffen.

 
%prep
%setup -q -a 1

sed -i 's/%{name}.xpm/%{name}.png/' dists/%{name}.desktop


%build
# No rpm configure because scummvm's configure isn't a real configure and thus
# doesn't understand some of the options %%configure passes. This includes
# -libdir, so rpmlint's complaints should be ignored.
# The disables are so that these don't accidently get build in when rebuilding
# on a system with the necesarry deps installed
./configure --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir} \
  --datadir=%{_datadir} --disable-mad
make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
install -m755 -D scummvm %{buildroot}%{_bindir}/scummvm
install -m644 -D dists/scummvm.6 %{buildroot}%{_mandir}/man6/scummvm.6
install -m644 -D icons/scummvm.xpm %{buildroot}%{_datadir}/pixmaps/scummvm.xpm
install -m644 -D icons/scummvm.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/scummvm.svg
install -m644 -D dists/redhat/scummvm48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/scummvm.png
install -m644 -D gui/themes/scummclassic.zip %{buildroot}%{_datadir}/scummvm/scummclassic.zip
install -m644 -D gui/themes/scummmodern.zip %{buildroot}%{_datadir}/scummvm/scummmodern.zip
install -m644 -D gui/themes/translations.dat %{buildroot}%{_datadir}/scummvm/translations.dat
install -m644 -D dists/pred.dic %{buildroot}%{_datadir}/scummvm/pred.dic
install -m644 -D dists/engine-data/kyra.dat %{buildroot}%{_datadir}/scummvm/kyra.dat
install -m644 -D dists/engine-data/lure.dat %{buildroot}%{_datadir}/scummvm/lure.dat
install -m644 -D dists/engine-data/queen.tbl %{buildroot}%{_datadir}/scummvm/queen.tbl
install -m644 -D dists/engine-data/sky.cpt %{buildroot}%{_datadir}/scummvm/sky.cpt
install -m644 -D dists/engine-data/drascula.dat %{buildroot}%{_datadir}/scummvm/drascula.dat
install -m644 -D dists/engine-data/teenagent.dat %{buildroot}%{_datadir}/scummvm/teenagent.dat
install -m644 -D dists/engine-data/hugo.dat %{buildroot}%{_datadir}/scummvm/hugo.dat
install -m644 -D dists/engine-data/toon.dat %{buildroot}%{_datadir}/scummvm/toon.dat

# Remove doc files we want to include with %%doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Scummvm
Comment=Interpreter for several adventure games
Comment[pl]=Interpreter graficznych gier przygodowych
Comment[sv]=Tolk för flera äventyrsspel
Comment[da]=Fortolker for SCUMM baserede eventyrspil
Comment[he]=פרשן למספר משחקי הרפתקאות
Comment[hu]=Emulátor különböző kalandjátékokhoz
Comment[de]=Interpreter für diverse Abenteuerspiele
Comment[es]=Intérprete para varias aventuras gráficas
Comment[ca]=Intèrpret per diverses aventures gràfiques
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Emulator;Game;Emulator;
EOF

install -D -p -m 0644 %{name}-16x16.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -p -m 0644 %{name}-32x32.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -p -m 0644 %{name}-48x48.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -p -m 0644 %{name}-128x128.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
rm $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Tue Aug 01 2017 bb2 <bb2> 1.9.0-1pclos2017
- new version

* Sun May 15 2016 MBantz <martin.bantz at gmail dot com> 1.8.0-1pclos2016
- Update to 1.8.0

* Tue Nov 18 2014 MBantz <martin.bantz at gmail dot com> 1.7.0-1pclos2014
- Update to 1.7.0
